## mktorrent 1.0

=== Makefile ===
# This file is part of mktorrent
# Copyright (C) 2007, 2009 Emil Renner Berthing
#
# mktorrent is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# mktorrent is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA

#-------------Interesting variables for you to override :)--------------------

# Default settings shown
#CC      = cc
#CFLAGS  = -O2 -Wall
#LDFLAGS =
#INSTALL = install
#PREFIX  = /usr/local
#DESTDIR =

# Use multiple POSIX threads for calculating hashes. This should be slightly
# faster. Much faster on systems with multiple CPUs and fast harddrives.
#USE_PTHREADS = 1

# Use the SHA1 implementation in the OpenSSL library instead of compiling our
# own.
#USE_OPENSSL = 1

# Enable long options, started with two dashes.
#USE_LONG_OPTIONS = 1

# This is needed on certain 32bit OSes (notably 32bit Linux) to support
# files and torrents > 2Gb.
#USE_LARGE_FILES = 1

# Disable a redundant check to see if the amount of bytes read from files while
# hashing matches the sum of reported file sizes. I've never seen this fail. It
# will fail if you change files yet to be hashed while mktorrent is running,
# but who'd want to do that?
#NO_HASH_CHECK = 1

# Set the number of microseconds mktorrent will wait between every progress
# report when hashing multithreaded. Default is 200000, that is 0.2 seconds
# between every update.
#PROGRESS_PERIOD = 200000

# Maximum number of file descriptors mktorrent will open when scanning the
# directory. Default is 100, but I have no idea what a sane default for this
# value is, so your number is probably better.
#MAX_OPENFD = 100

# Enable leftover debugging code.  Usually just spams you with lots of useless
# information.
#DEBUG = 1

#-------------Nothing interesting below this line-----------------------------

program = mktorrent
version = 1.0

HEADERS  = mktorrent.h
SRCS     = ftw.c init.c sha1.c hash.c output.c main.c

=== debian/changelog ===
mktorrent (1.0-4build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:07 +0000

mktorrent (1.0-4) unstable; urgency=low

  * Fix spelling in long description (Closes: #636637).
  * Bump policy version, no changes required.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Nico Golde <nion@debian.org>  Sun, 17 Jun 2012 14:22:03 +0200

mktorrent (1.0-3) unstable; urgency=low

  * Fix typo in compile flags that broke large file support (Closes: #556423).

 -- Nico Golde <nion@debian.org>  Mon, 16 Nov 2009 00:57:51 +0100

mktorrent (1.0-2) unstable; urgency=low

  * Enable building with large file support.

 -- Nico Golde <nion@debian.org>  Fri, 06 Nov 2009 17:47:59 +0100

mktorrent (1.0-1) unstable; urgency=low

  * Initial release (Closes: #542839).

 -- Nico Golde <nion@debian.org>  Tue, 25 Aug 2009 22:43:14 +0200

=== debian/control ===
Source: mktorrent
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Nico Golde <nion@debian.org>
Build-Depends: debhelper (>= 7.0.8), libssl-dev
Standards-Version: 3.9.3
Homepage: http://mktorrent.sourceforge.net/

Package: mktorrent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple command line utility to create BitTorrent metainfo files
 mktorrent is a text-based utility to create BitTorrent metainfo files
 used by trackers and torrent clients. It can create metainfo files for single
 files or complete directories in a fast way.
 .
 It also supports:
  - multiple trackers
  - embedding custom comments into torrent files
  - disallowing DHT and Peer Exchange
  - multi-threaded hashing

=== debian/watch ===
version=3
http://sf.net/mktorrent/mktorrent-(.+)\.tar\.gz debian uupdate

## mktorrent 1.1

=== Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 #-------------Nothing interesting below this line-----------------------------
 
 program = mktorrent
-version = 1.0
+version = 1.1
 
 HEADERS  = mktorrent.h
 SRCS     = ftw.c init.c sha1.c hash.c output.c main.c

=== debian/changelog ===
mktorrent (1.1-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:53:34 +1100

mktorrent (1.1-3build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:00:36 +0000

mktorrent (1.1-3) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.6.1
  * d/control: bump dh compat level to 13
  * d/copyright: update copyright years for debian/*
  * d/gbp.conf: switch to DEP-14 branch names
  * debian/*: update upstream maintainer and location
  * debian/*: new email address for Paride: paride@debian.org
  * debian/*: wrap-and-sort -bast (cosmetic)

 -- Paride Legovini <paride@debian.org>  Wed, 01 Jun 2022 09:09:52 +0000

mktorrent (1.1-2) unstable; urgency=medium

  * Manpage overhaul (closes: #951838)
  * d/copyright: add the copyright information for sha1.c and sha1.h
  * Bump Standards-Version to 4.5.0
  * Replace d/compat with a Build-Dep on debhelper-compat (= 12)
  * d/control: add Rules-Requires-Root: no
  * Add upstream metadata file

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 04 Mar 2020 14:39:33 +0000

mktorrent (1.1-1) unstable; urgency=medium

  * New upstream version.
    Closes: #852159, closes: #699485, closes: #765935.
  * Set myself (Paride Legovini) as maintainer (Closes: #903256)
  * Improved description (Closes: #699488). Thanks: Ivan Shmakov.
  * Bump Standards-Version to 4.2.0. Changes:
    - Priority: extra replaced by Priority: optional
  * d/copyright converted to the DEP5 machine-readable format
  * Bump compat level to 11 (no changes needed)
  * Hardened build (hardening=+all)
  * Mark package as Multi-Arch: foreign
  * The sf.net project is gone, mktorrent is now hosted on GitHub.
    - d/control: use the GitHub project page as Homepage
    - d/watch: retrieve the upstream versions from GitHub (mode=git)
  * d/control: added the Vcs- fields, packaging hosted on salsa
  * Add d/gbp.conf (DEP14)
  * gbp.conf: pristine-tar{,-commit} = True

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 22 Aug 2018 12:06:55 +0000

=== debian/control ===
Source: mktorrent
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paride Legovini <paride@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libssl-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/pobrn/mktorrent
Vcs-Git: https://salsa.debian.org/debian/mktorrent.git
Vcs-Browser: https://salsa.debian.org/debian/mktorrent
Rules-Requires-Root: no

Package: mktorrent
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: simple command line utility to create BitTorrent metainfo files
 mktorrent is a text-based utility to create BitTorrent metainfo files
 used by trackers and torrent clients. It can create metainfo files for
 single files or complete directories in a fast way.
 .
 It supports:
  - multiple trackers,
  - embedding custom comments into torrent files,
  - multi-threaded hashing.
 .
 It also supports setting the "private" flag, which advises the BitTorrent
 agents to refrain from using alternative peer discovery mechanisms,
 such as Distributed Hash Table (DHT), Local Peer Discovery (LPD),
 or Peer Exchange.

=== debian/rules ===
#!/usr/bin/make -f

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Build and installation options
export USE_PTHREADS = 1
export PREFIX = /usr
export USE_OPENSSL = 1
export USE_LARGE_FILES = 1
export USE_LONG_OPTIONS = 1

%:
	dh $@

override_dh_auto_build:
	# The Makefile supports CFLAGS, but not CPPFLAGS, let's append them.
	# https://wiki.debian.org/HardeningWalkthrough#Handwritten_Makefiles
	CFLAGS="$$CFLAGS $$CPPFLAGS" dh_auto_build

=== debian/watch ===
version=4
opts="mode=git" https://github.com/pobrn/mktorrent.git refs/tags/v([\d\.]+)
